#!/usr/bin/perl -w

use CoPilot::Waypoint;
use IO::File;

use strict;

my $fn = shift;

my $waypnt = new CoPilot::Waypoint();

my $fh = new IO::File($fn) or die "Airport file not found";

<$fh>;
<$fh>;

while (<$fh>)
{
    my ($id, $name, $latdeg, $latmin, $latsec, $latns,
                    $longdeg, $longmin, $longsec, $longew,
                    $decl, $elev) =
            split("\t", $_);

	$latsec =~ s/,/./;
	$longsec =~ s/,/./;

	if ($decl =~ m/[0-9]/)
	{
		$decl =~ s/,/./;
		$decl = -$decl;
	}
	else
	{
		$decl = 0.0;
	}

    my $lat = $latdeg + ($latmin / 60.0) + ($latsec / 3600.0);
    if ($latns eq "S")
    {
        $lat = -$lat;
    }

    my $long = $longdeg + ($longmin / 60.0) + ($longsec / 3600.0);
    if ($longew eq "E")
    {
        $long = -$long;
    }

	if (!defined($elev) || $elev eq "" || $elev =~ /^\s*$/)
	{
		$elev = 0.0;
	}
	else
	{
		$elev =~ s/\s.*$//;
	}
print "adding waypoint id = [$id], name = [$name], lat = $lat, long = $long\n";
	$waypnt->addWaypoint($lat, $long, $decl, $elev, $id, $name, "", "");
}

$waypnt->Write("germanyVFR.pdb");

undef $fh;
